var app = {
    initialize: function() {
        this.bindEvents();
    },

    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        navigator.globalization.getPreferredLanguage(
            function (language) {
                if (language.value == 'français') {
                    document.body.className = 'lang-fr';
                }
            }
        );
        FastClick.attach(document.body);
        init();
        analytics.startTrackerWithId('UA-50398910-1');

        if( window.plugins && window.plugins.AdMob ) {
            var am = window.plugins.AdMob;
            var adId = 'ca-app-pub-0714008059366431/1587523513';

            am.createBannerView( 
                {
                'publisherId': adId,
                'adSize': am.AD_SIZE.BANNER,
                'bannerAtTop': false
                }, 
                function() {
                    am.requestAd(
                        { 'isTesting':false }, 
                        function(){
                            am.showAd( true );
                        }
                    );
                }
            );
        }
    }
};

function showInterstitial() {
    if( window.plugins && window.plugins.AdMob ) {
        var am = window.plugins.AdMob;
        var adId = 'ca-app-pub-0714008059366431/8971189512';

        am.createInterstitialView( 
            {
            'publisherId': adId
            }, 
            function() {
                am.requestInterstitialAd(
                    { 'isTesting':false }, 
                    function(){
                        am.showAd( true );
                    }
                );
            }
        );
    }
}